package capitulo04.bloque05;

import static capitulo04.utils.Utils.solicitarStringScanner;

public class Ejercicio06 {
    public static void main(String[] args) {
        String palabraIntroducida = solicitarStringScanner("Introduzca una palabra para comprobar si es un pangrama");
        boolean[] letras = new boolean[26];

        palabraIntroducida = cambiarAMinuscula(palabraIntroducida);
        for (int i = 0; i < palabraIntroducida.length(); i++) {
            char caracter = palabraIntroducida.charAt(i);
            if (caracter >= 'a' && caracter <= 'z') {
                letras[caracter - 'a'] = true;
            }
        }

        boolean esPangrama = true;
        for (boolean letra : letras) {
            if (!letra) {
                esPangrama = false;
                break;
            }
        }

        if (esPangrama) {
            System.out.println("Sí es un pangrama");
        } else {
            System.out.println("No es un pangrama");
        }
    }

    public static String cambiarAMinuscula(String textoACambiar) {
        StringBuilder minuscula = new StringBuilder();
        for (int i = 0; i < textoACambiar.length(); i++) {
            char c = textoACambiar.charAt(i);
            if (c >= 65 && c <= 90) {
                minuscula.append((char) (c + 32));
            } else {
                minuscula.append(c);
            }
        }
        return minuscula.toString();
    }
}
